<?php

declare(strict_types=1);

namespace App\Framework\Http\Responses;

use App\Framework\Http\Headers;
use App\Framework\Http\Response;
use App\Framework\Http\Status;

final readonly class NotFound implements Response
{
    public Status $status;

    public Headers $headers;

    public function __construct(
        public string $body = 'Not Found',
    ) {
        $this->status = Status::NOT_FOUND;
        $this->headers = new Headers();
    }
}
